itpp::random_details::DSFMT< MEXP, POS1, SL1, MSK1, MSK2, FIX1_V, FIX2_V, PCV1_V, PCV2_V >::Context Struct Reference

DSFMT context structure. More...

`#include <itpp/base/random_dsfmt.h>`

## Classes

union | W128_T
| Data structure to hold 128-bit values. More...

## Public Types

typedef union W128_T | w128_t
| 128-bit data type

## Public Attributes

w128_t | status [N+1]
| 128-bit internal state array
int | idx
| State array indexing.
unsigned int | last_seed
| Last known seed used to initialize context.

## Detailed Description

template<int MEXP, int POS1, int SL1, uint64_t MSK1, uint64_t MSK2, uint64_t FIX1_V, uint64_t FIX2_V, uint64_t PCV1_V, uint64_t PCV2_V>
struct itpp::random_details::DSFMT< MEXP, POS1, SL1, MSK1, MSK2, FIX1_V, FIX2_V, PCV1_V, PCV2_V >::Context

DSFMT context structure.

Shall be a POD type since we want to allocate it in thread-local storage gcc and msvc may have problems with non-POD types and threadprivate pragma

Definition at line 122 of file random_dsfmt.h.

## Member Typedef Documentation

## w128_t

template<int MEXP, int POS1, int SL1, uint64_t MSK1, uint64_t MSK2, uint64_t FIX1_V, uint64_t FIX2_V, uint64_t PCV1_V, uint64_t PCV2_V>

typedef union W128_T itpp::random_details::DSFMT< MEXP, POS1, SL1, MSK1, MSK2, FIX1_V, FIX2_V, PCV1_V, PCV2_V >::Context::w128_t

128-bit data type

Definition at line 134 of file random_dsfmt.h.

## Member Data Documentation

## status

template<int MEXP, int POS1, int SL1, uint64_t MSK1, uint64_t MSK2, uint64_t FIX1_V, uint64_t FIX2_V, uint64_t PCV1_V, uint64_t PCV2_V>

w128_t itpp::random_details::DSFMT< MEXP, POS1, SL1, MSK1, MSK2, FIX1_V, FIX2_V, PCV1_V, PCV2_V >::Context::status[N+1]

128-bit internal state array

Definition at line 136 of file random_dsfmt.h.

Referenced by itpp::RNG_get_state(), and itpp::RNG_set_state().

## idx

template<int MEXP, int POS1, int SL1, uint64_t MSK1, uint64_t MSK2, uint64_t FIX1_V, uint64_t FIX2_V, uint64_t PCV1_V, uint64_t PCV2_V>

int itpp::random_details::DSFMT< MEXP, POS1, SL1, MSK1, MSK2, FIX1_V, FIX2_V, PCV1_V, PCV2_V >::Context::idx

State array indexing.

Definition at line 138 of file random_dsfmt.h.

Referenced by itpp::RNG_get_state(), and itpp::RNG_set_state().

## last_seed

template<int MEXP, int POS1, int SL1, uint64_t MSK1, uint64_t MSK2, uint64_t FIX1_V, uint64_t FIX2_V, uint64_t PCV1_V, uint64_t PCV2_V>

unsigned int itpp::random_details::DSFMT< MEXP, POS1, SL1, MSK1, MSK2, FIX1_V, FIX2_V, PCV1_V, PCV2_V >::Context::last_seed

Last known seed used to initialize context.

Definition at line 140 of file random_dsfmt.h.

The documentation for this struct was generated from the following file:

- itpp/base/random_dsfmt.h

Generated on Mon Jun 10 2024 11:49:41 for IT++ by Doxygen 1.9.8